
Figure - Bug #115038
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】/data/tlog/tzlog/ 路径下tzlog未抓取生成
2023-01-04 09:52 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: High Due date: 2023-01-12

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-12

Test Type: ST Root cause: tzlog代码逻辑问题

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、查看/data/tlog/tzlog/

3、通过*#147#打开tlog，勾选所有重启一次设备，

4、查看/data/tlog/tzlog/

5、设备点击stop后查看/sdcard/tlog/打包文件是否存在tzlog

【预期结果】

2.4.5. 中tzlog均有生成

【实际结果】

2.4.5. 中tzlog均未生成

History

#1 - 2023-01-11 11:04 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

userdebug

编译验证没有问题,开机有文件产生，压缩包里面也有

user

目前user版本不支持tzlog日志的抓取

    1. 设备熔丝之后是不能读取tzlog日志

    2. 抓取tzlog日志需要把tlog设置为permissive mode，但是user不能设置为permissive，会编译报错 

    3. tzlog需要去读取/sys/kernel/debug，user需要挂载

#2 - 2023-01-11 20:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175534 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com
system:log:modify tzlogset np_thundercomm_tlog to permissive modeTC-RID: 1200-0800102IssueID: TS-R-BUG-115038Change-Id:

I400688a70220360914f989a99cc73f2b7de04037

#3 - 2023-01-11 20:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175527 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

system:log:modify tzlog1. Apk does not delete the tzlog file2. modify tzlog bin3. mount -t debugfs none /sys/kernel/debugTC-RID: 1200-0800102IssueID:

TS-R-BUG-115038Change-Id: I498a7e9829496698ac88361a03d8b8fce29dd341

#4 - 2023-01-12 10:06 - CD SYSTEM-夏旭

- Due date set to 2023-01-12

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-12

- Root cause set to tzlog代码逻辑问题

■ Current conclusion

已处理。

目前只能userdebug能够抓取tzlog，user不行，原因上面已更新

开机/data/tlog/tzlog下有文件，开机自启，不需要触发

■ My analysis

tzlog代码逻辑问题

■ Next action 

测试验证

#5 - 2023-01-13 16:25 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0068.X101

验证结果：手动使用app抓取日志后，打包的文件中存在tzlog，自动后打包的zip中也存在tzlog，验证通过

user版本无法抓取tzlog
#6 - 2023-01-13 16:25 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
